<div class="report">


    <div class="list" *ngIf="page == pageReportEnum.list">


        <div class="btn-create d-flex justify-content-end pointer mr-3" (click)="onCreateReport()">
            + เพิ่มรายงาน
        </div>
        <br>

        <div class="d-flex justify-content-center" *ngIf="reportList.length == 0">
            <div class="text-center">
                <br> <br> <br> <br>
                <span class="material-symbols-outlined" style="font-size: 50px; color: gray;">
                    assignment
                </span>
                <div>
                    ไม่มีรายการ
                </div>
            </div>
        </div>



        <div class="report-list" *ngIf="reportList.length > 0">

            <div class="report-item d-flex " *ngFor="let item of reportList ; index as i"
                (mouseover)="hoverReport(item)">
                <div class="date " style="text-align: end;" (click)="onEditReport(item)">
                    <small> {{item.reportDateTime | dateEvent }} </small><br>
                    <small> {{item.reportDateTime | timeEvent }}</small>
                </div>
                <div class="line" [ngClass]="{'none-line': i == (reportList.length - 1)}" (click)="onEditReport(item)">


                    <img *ngIf="item.action && !item.statusDone" class="point-action"
                        src="../../../../assets/image/action.svg">
                    <img *ngIf="item.action && item.statusDone" class="point-action"
                        src="../../../../assets/image/action-done.svg">
                    <img *ngIf="!item.action && !item.statusDone" class="point-action"
                        src="../../../../assets/image/situation.svg">
                    <img *ngIf="!item.action && item.statusDone" class="point-action"
                        src="../../../../assets/image/situation-done.svg">

                </div>
                <div class="description">
                    <div>
                        <div class="d-flex justify-content-between">
                            <strong>{{item.topic}} </strong><br>
                            <div>
                                <span class="material-symbols-outlined pointer mr-2" style="font-size: 15px;"
                                    (click)="onEditReport(item)">
                                    edit
                                </span>
                                <span class="material-symbols-outlined pointer  mr-2" style="font-size: 15px;"
                                    (click)="onDeleteReport(item)">
                                    delete
                                </span>
                            </div>
                        </div>

                        <small *ngIf="item.details != ''">{{item.details}} <br></small>
                        <small>{{item.statusDone ? 'ดำเนินการเสร็จสิ้น':'อยู่ระหว่างดำเนินการ'}}</small><br>

                    </div>
                    <small *ngIf="item.videosUrl != ''">Link : <a class="pointer"
                            (click)="onOpenLink(item.videosUrl)">{{item.videosUrl}}</a> <br></small>

                    <div class="row ml-1" style="width: 100%;">
                        <div class="file-item d-flex justify-content-center  align-items-center pointer"
                            *ngFor="let file of item.imageDisplay">
                            <img [src]="file.src" style="width: 100%;" *ngIf="file.type == 'IMAGE'"
                                (click)="onOpenImage(file)">
                            <div class=" text-center" *ngIf="file.type != 'IMAGE'">
                                <img src="../../../assets/image/pdf.png" style="width: 40%;"
                                    (click)="onOpenPDF(file)"><br>

                            </div>
                        </div>

                    </div>

                    <div class="responsible d-flex align-items-center justify-content-between mt-3">
                        <span class="d-flex">
                            <span class="material-symbols-outlined mr-3">
                                domain
                            </span>
                            <div>
                                <small>พื้นที่ของหน่วยงานที่รับผิดชอบ</small>
                            </div>
                        </span>
                        <span class="material-symbols-outlined pointer" (click)="onOpenResponsible(item)">
                            navigate_next
                        </span>

                    </div>

                </div>

            </div>

        </div>
    </div>


    <div class="create-repot" *ngIf="page == pageReportEnum.create">
        <app-create-report [incident]="incident" [reportSelected]="reportSelected"
            (eventClose)="onCreateClose()"></app-create-report>
    </div>

    <div class="responsible-repot" *ngIf="page == pageReportEnum.responsible">
        <app-responsible [report]="reportSelected" (eventBack)="onResponsibleClose()"></app-responsible>
    </div>


</div>

<!-- <ng-template #reportDetail let-modal>
    <div class="report-detail-modal">
        <div class="d-flex justify-content-between align-items-center">
            <strong>{{reportSelected.topic}}</strong>
            <div>
                <button hidden>
                </button>
                <button mat-icon-button (click)="onEditReport(reportSelected)">
                    <span class="material-symbols-outlined">
                        edit
                    </span>
                </button>
                <button mat-icon-button (click)="onDeleteReport()">
                    <span class="material-symbols-outlined">
                        delete
                    </span>
                </button>
                <button mat-icon-button (click)="onCloseReporModal()">
                    <span class="material-symbols-outlined">
                        cancel
                    </span>
                </button>
            </div>
        </div>
        <small>วันที่ {{reportSelected.reportDateTime | dateEvent }} </small>
        <small>เวลา {{reportSelected.reportDateTime | timeEvent }}</small><br>
        <small>ประภท {{reportSelected.action ? 'การปฏิบัติงาน (Action)':"สถานการณ์ (Situation)"}}</small><br>
        <small>สถานะ {{reportSelected.statusDone ?"ดําเนินการเสร็จสิ้น":"อยู่ระหว่างดําเนินการ" }}</small><br>
        <small>{{reportSelected.details}}</small><br>

        <div class="file-item d-flex justify-content-center mt-2 align-items-center" *ngFor="let item of [1,2]">
            <img src="../../../../assets/image/1.jpg" style="width: 100%;">
        </div>
    </div>
</ng-template> -->

<ng-template #reportDelete let-modal>
    <div class="modal-header">
        <strong class="modal-title" id="modal-basic-title">ลบรายงาน</strong>
    </div>
    <div class="modal-body modal-delete">
        <small for="dateOfBirth">หากต้องการยืนยันการลบ ให้พิมพ์ delete ในช่อง</small>
        <mat-form-field appearance="outline" style="width: 100%; height: 15px;">
            <input matInput placeholder="delete" [(ngModel)]="delete">
        </mat-form-field><br>
        <br>
    </div>
    <div class="modal-footer">
        <button mat-raised-button (click)="cancelDelete()">ยกเลิก</button>
        <button mat-raised-button color="primary" (click)="onDelete()" [disabled]="delete != 'delete'">ตกลง</button>
    </div>
</ng-template>